summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-java/libmatthew-java
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-java/libmatthew-java')
-rw-r--r--dev-java/libmatthew-java/Manifest1
-rw-r--r--dev-java/libmatthew-java/files/libmatthew-java-0.7.2-makefile-fixes.patch70
-rw-r--r--dev-java/libmatthew-java/libmatthew-java-0.7.2-r1.ebuild43
-rw-r--r--dev-java/libmatthew-java/metadata.xml5
4 files changed, 119 insertions, 0 deletions
diff --git a/dev-java/libmatthew-java/Manifest b/dev-java/libmatthew-java/Manifest
new file mode 100644
index 00000000000..602bf4dc7f5
--- /dev/null
+++ b/dev-java/libmatthew-java/Manifest
@@ -0,0 +1 @@
+DIST libmatthew-java-0.7.2.tar.gz 40601 SHA256 9f48a00caa8c9731d7056346ba72445ebca508e17715e32e310aee45ef36ed03 SHA512 d4a0024fb17221dff4d787b83fd5d9b4a189db0b3110291066f037dc33c009d479a3b94ec8d7c00ab5a39731ec8015dba212f367a858f4329e9d203325fec02a WHIRLPOOL 772118df8f11ddba8fd89ec1b29af63a3414a9e681b52bab591c1a57866b6cafa5efbfe248f1e3270b675bb07fdcb07a9ae05a748e45154d9fffbe2fb5887958
diff --git a/dev-java/libmatthew-java/files/libmatthew-java-0.7.2-makefile-fixes.patch b/dev-java/libmatthew-java/files/libmatthew-java-0.7.2-makefile-fixes.patch
new file mode 100644
index 00000000000..1132a7e1ce7
--- /dev/null
+++ b/dev-java/libmatthew-java/files/libmatthew-java-0.7.2-makefile-fixes.patch
@@ -0,0 +1,70 @@
+diff -Nur libmatthew-java-0.7.2/Makefile libmatthew-java-0.7.2_patched/Makefile
+--- libmatthew-java-0.7.2/Makefile 2009-04-05 12:46:42.000000000 +0300
++++ libmatthew-java-0.7.2_patched/Makefile 2010-02-28 12:07:15.000000000 +0200
+@@ -6,13 +6,12 @@
+ CC?=gcc
+ LD?=gcc
+ JPPFLAGS+=-C -P
+-CFLAGS+=-Wall -Os -pedantic -Werror
++CFLAGS+=-Wall -pedantic
+ CSTD?=-std=c99
+ CSHAREFLAG+=-fpic -fno-stack-protector
+ GCJJNIFLAG=-fjni
+ JVERCFLAGS+=-source 1.5
+ JCFLAGS+=
+-INCLUDES+=-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
+ JAVADOCFLAGS?=-quiet -author -link http://java.sun.com/j2se/1.4.2/docs/api/
+
+ LDVER?=$(shell ld -v | cut -d' ' -f1)
+@@ -20,9 +20,8 @@
+
+ ifeq ($(LDVER),GNU)
+ LDSHAREFLAGS+=-fpic -shared
+-else
+-LDSHAREFLAGS+=-lc
+ endif
++LDLIBS=-lc
+
+ PREFIX?=/usr/local
+ JARDIR?=$(PREFIX)/share/java
+@@ -62,12 +61,7 @@
+ io-$(IOVER).jar: .classes
+ (cd classes; $(JAR) cf ../$@ cx/ath/matthew/io/*class)
+ unix-$(UNIXVER).jar: .classes
+-ifeq ($(DEBUG),enable)
+- echo "Class-Path: $(JARDIR)/debug-$(DEBUG).jar" > Manifest
+-else
+- echo "Class-Path: " > Manifest
+-endif
+- (cd classes; $(JAR) cfm ../$@ ../Manifest cx/ath/matthew/unix/*class)
++ (cd classes; $(JAR) cf ../$@ cx/ath/matthew/unix/*class)
+
+ hexdump-$(HEXVER).jar: .classes
+ (cd classes; $(JAR) cf ../$@ cx/ath/matthew/utils/Hexdump.class)
+@@ -75,7 +69,7 @@
+ %.o: %.c %.h
+ $(CC) $(CFLAGS) $(CSTD) $(CSHAREFLAG) $(INCLUDES) -c -o $@ $<
+ lib%.so: %.o
+- $(CC) $(LDFLAGS) $(LDSHAREFLAGS) -o $@ $<
++ $(CC) $(LDFLAGS) $(LDSHAREFLAGS) -o $@ $< $(LDLIBS)
+ unix-java.h: .classes
+ $(JAVAH) -classpath classes -o $@ cx.ath.matthew.unix.UnixServerSocket cx.ath.matthew.unix.UnixSocket cx.ath.matthew.unix.USInputStream cx.ath.matthew.unix.USOutputStream
+ cgi-java.h: .classes
+@@ -91,13 +85,11 @@
+ tar zcf $@ libmatthew-java-$(MATTVER)
+
+ debug-enable-$(DEBUGVER).jar: cx/ath/matthew/debug/Debug.jpp
+- make .enabledebug
+- echo "Class-Path: $(JARDIR)/hexdump.jar" > Manifest
+- (cd classes;jar cfm ../$@ ../Manifest cx/ath/matthew/debug/*.class)
++ $(MAKE) .enabledebug
++ (cd classes;jar cf ../$@ cx/ath/matthew/debug/*.class)
+ debug-disable-$(DEBUGVER).jar: cx/ath/matthew/debug/Debug.jpp
+- make .disabledebug
+- echo "Class-Path: $(JARDIR)/hexdump.jar" > Manifest
+- (cd classes;jar cfm ../$@ ../Manifest cx/ath/matthew/debug/*.class)
++ $(MAKE) .disabledebug
++ (cd classes;jar cf ../$@ cx/ath/matthew/debug/*.class)
+ .enabledebug: cx/ath/matthew/debug/Debug.jpp
+ mkdir -p classes
+ cpp $(PPFLAGS) $(JPPFLAGS) -DDEBUGSETTING=true < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
diff --git a/dev-java/libmatthew-java/libmatthew-java-0.7.2-r1.ebuild b/dev-java/libmatthew-java/libmatthew-java-0.7.2-r1.ebuild
new file mode 100644
index 00000000000..197dd4e2647
--- /dev/null
+++ b/dev-java/libmatthew-java/libmatthew-java-0.7.2-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+JAVA_PKG_IUSE="doc source"
+inherit eutils java-pkg-2 flag-o-matic toolchain-funcs
+
+DESCRIPTION="A selection of libraries for Java"
+HOMEPAGE="http://www.matthew.ath.cx/projects/java/"
+SRC_URI="http://www.matthew.ath.cx/projects/java/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.5"
+DEPEND=">=virtual/jdk-1.5"
+
+src_unpack() {
+ unpack ${A}
+ epatch "${FILESDIR}"/${P}-makefile-fixes.patch
+ rm -v "${S}"/cx/ath/matthew/debug/Debug.java || die "rm failed"
+}
+
+src_compile() {
+ CC=$(tc-getCC) LD=$(tc-getCC) INCLUDES="$(java-pkg_get-jni-cflags)" \
+ emake -j1 JARDIR=/usr/share/libmatthew-java/lib JCFLAGS="$(java-pkg_javac-args)" all $(usev doc) || die "emake failed"
+}
+
+src_install() {
+ java-pkg_newjar cgi-0.5.jar cgi.jar
+ java-pkg_newjar debug-disable-1.1.jar debug-disable.jar
+ java-pkg_newjar debug-enable-1.1.jar debug-enable.jar
+ java-pkg_newjar hexdump-0.2.jar hexdump.jar
+ java-pkg_newjar io-0.1.jar io.jar
+ java-pkg_newjar unix-0.5.jar unix.jar
+ java-pkg_doso libcgi-java.so
+ java-pkg_doso libunix-java.so
+ dodoc INSTALL changelog README || die
+ use source && java-pkg_dosrc cx/
+ use doc && java-pkg_dojavadoc doc
+}
diff --git a/dev-java/libmatthew-java/metadata.xml b/dev-java/libmatthew-java/metadata.xml
new file mode 100644
index 00000000000..250f2d1940e
--- /dev/null
+++ b/dev-java/libmatthew-java/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>java</herd>
+</pkgmetadata>